# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

IUSE=""

inherit vdrplugin eutils

S=${WORKDIR}/${VDRPLUGIN}-${PV}
DESCRIPTION="Video Disk Recorder Timeline PlugIn"
HOMEPAGE="http://www.js-home.org/vdr/timeline/"
SRC_URI="http://www.js-home.org/vdr/timeline/vdr-${VDRPLUGIN}-${PV}.tar.gz"
KEYWORDS="~x86"
SLOT="0"
LICENSE="GPL"

DEPEND=">=media-video/vdr-1.2.0"

src_unpack() {
	vdrplugin_src_unpack

	if has_version ">=media-video/vdr-1.3.7" ;
	then
		einfo "applying VDR >=1.3.18 patch"
		epatch ${FILESDIR}/vdr-1.3.18-${VDRPLUGIN}-${PV}.diff
	fi
}

src_compile() {
	vdrplugin_src_compile
}

src_install() {
	vdrplugin_src_install
}

pkg_postinst() {
	vdrplugin_pkg_postinst
}
